Package org.codehaus.groovy.control.io

## Class StringReaderSource

- java.lang.Object
- - org.codehaus.groovy.control.io.AbstractReaderSource
  - - org.codehaus.groovy.control.io.StringReaderSource

- All Implemented Interfaces:
    `HasCleanup`, `ReaderSource`

      public class StringReaderSource
      extends AbstractReaderSource

  A ReaderSource for source strings.

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringReaderSource​(java.lang.String string, CompilerConfiguration configuration)` | Creates the ReaderSource from a File descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.Reader` | `getReader()` | Returns a new Reader on the underlying source object.
    `java.net.URI` | `getURI()` | Returns a Data URI (RFC 2397) containing the literal value of this source string.

    - ### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `canReopenSource, cleanup, getLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringReaderSource

          public StringReaderSource​(java.lang.String string,
                                    CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.
      Parameters:
        `string` - string containing script source
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### getReader

          public java.io.Reader getReader()
                                   throws java.io.IOException

      Returns a new Reader on the underlying source object.
      Returns:
        the reader to the resource
      Throws:
        `java.io.IOException` - if there was an error opening for stream

    - #### getURI

          public java.net.URI getURI()

      Returns a Data URI (RFC 2397) containing the literal value of this source string.
      Returns:
        Data URI containing the literal value of this source string.